Main Page Widgets Namespaces Book

# Atk::Implementor Class Reference

Inheritance diagram for Atk::Implementor:

[legend]
List of all members.

## Public Member Functions

const AtkImplementor* | gobj () const
| Provides access to the underlying C GObject.
AtkImplementor* | gobj ()
| Provides access to the underlying C GObject.
virtual | ~Implementor ()

## Static Public Member Functions

static void | add_interface (GType gtype_implementer)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Atk::Implementor> | wrap (AtkImplementor* object, bool take_copy=false)

Parameters:

  | object | The C instance

## Constructor & Destructor Documentation

virtual Atk::Implementor::~Implementor | ( |  | ) | `[virtual]`

## Member Function Documentation

static void Atk::Implementor::add_interface | ( | GType | gtype_implementer | ) | `[static]`

const AtkImplementor* Atk::Implementor::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

AtkImplementor* Atk::Implementor::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

## Friends And Related Function Documentation

Glib::RefPtr<Atk::Implementor> wrap | ( | AtkImplementor * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

Parameters:

  | object | The C instance

Parameters:

  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- implementor.h